That's a practice to learn more about Unity3D.
You can find insisde a good skeleton to build your new puzzle games.

The game can be download from Android and Apple stores.

iOS: https://itunes.apple.com/us/app/hurrymind/id1425491845

Android: https://play.google.com/store/apps/details?id=com.oscarbarrios.hurrymind